package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @Description : 采购合同其他条款
 * @Author : JiaYf
 * @Date: 2021-09-17 18:24
 */
@TableName("purch_contract_other_clause")
public class PurchContractOtherClause extends BaseEntity {

    /** 序号 **/
    @TableField("serial_number")
    private Integer serialNumber;

    /** 付款条件 **/
    @TableField("payment_condition")
    private String paymentCondition;

    /** 采购合同基本信息表Id **/
    @TableField("purch_contract_approval_id")
    private Long purchcontractApprovalId;

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getPaymentCondition() {
        return paymentCondition;
    }

    public void setPaymentCondition(String paymentCondition) {
        this.paymentCondition = paymentCondition;
    }

    public Long getPurchcontractApprovalId() {
        return purchcontractApprovalId;
    }

    public void setPurchcontractApprovalId(Long purchcontractApprovalId) {
        this.purchcontractApprovalId = purchcontractApprovalId;
    }
}
